Where can we download older versions of Quickshow?

Discussion in 'Lasershow Designer QuickShow' started by Todd Moyer, Dec 31, 2021.

  1. Todd Moyer

    Todd Moyer New Member

    I have 6 rented KVANT systems and Quickshow 5.xx is requiring a firmware update to the FB4s. I've been advised NOT to update the firmware because it could invalidate the rental company's Beyond licenses, so I need to use Quickshow 4.xx

    I've looked all over the Pangolin site and I don't see a link to download previous versions.

    Gig starts in 6 hours.
     
  2. Bob@Pangolin

    Bob@Pangolin Staff Member

    Hello Todd,

    I am sorry but older versions of QuickShow are not available. The software was expired by an internal clock. As the software cannot run anymore, we have removed it from the website.
    Regarding the new firmware; FB4 firmware can not invalidate BEYOND licenses, this is not possible. The new firmware works with BEYOND 4 and BEYOND 5, I see no reason why it would be able to invalidate BEYOND licenses. I do not remember that we ever had firmware that was able to invalidate BEYOND licenses.